Connect Provider

Starts signing an inbox in to a provider. Returns a magic_url valid for five minutes; open it in the browser that will hold the sign-in. Requires api_key_create and an Idempotency-Key header.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

provider_idUUIDRequired
ID of provider.

Request

This endpoint expects an optional object.
inbox_idstringOptional
Inbox to connect. Required unless the API key is scoped to an inbox.
authorizebooleanOptional

Authorize the provider for this inbox, skipping the first-use disclosure page.

Response

This endpoint returns an object.
session_idUUID
ID of session.
magic_urlstring

Single-use URL to open in the browser that will hold the sign-in.

expires_atdatetime
Time at which the URL expires.

Errors

400
Validation Error
404
Not Found Error
409
Conflict Error